org.vishia.gral.ifc

## Enum GralWidget_ifc.ActionChangeWhen

- java.lang.Object
- - java.lang.Enum<GralWidget_ifc.ActionChangeWhen>
  - - org.vishia.gral.ifc.GralWidget_ifc.ActionChangeWhen

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GralWidget_ifc.ActionChangeWhen>
  Enclosing interface:
    GralWidget_ifc

      public static enum GralWidget_ifc.ActionChangeWhen
      extends java.lang.Enum<GralWidget_ifc.ActionChangeWhen>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `onAnyChgContent`
    `onChangeAndFocusLost`
    `onCtrlEnter`
    `onDrag`
    `onDrop`
    `onEnter`
    `onFocusGained`
    `onMouse1Dn`
    `onMouse1Double`
    `onMouse1Up`
    `onMouse1UpOutside`
    `onMouse2Up`
    `onMouseWheel`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GralWidget_ifc.ActionChangeWhen` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GralWidget_ifc.ActionChangeWhen[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### onAnyChgContent

          public static final GralWidget_ifc.ActionChangeWhen onAnyChgContent

    - #### onEnter

          public static final GralWidget_ifc.ActionChangeWhen onEnter

    - #### onCtrlEnter

          public static final GralWidget_ifc.ActionChangeWhen onCtrlEnter

    - #### onFocusGained

          public static final GralWidget_ifc.ActionChangeWhen onFocusGained

    - #### onChangeAndFocusLost

          public static final GralWidget_ifc.ActionChangeWhen onChangeAndFocusLost

    - #### onMouse1Dn

          public static final GralWidget_ifc.ActionChangeWhen onMouse1Dn

    - #### onMouse1Up

          public static final GralWidget_ifc.ActionChangeWhen onMouse1Up

    - #### onMouse1UpOutside

          public static final GralWidget_ifc.ActionChangeWhen onMouse1UpOutside

    - #### onMouse2Up

          public static final GralWidget_ifc.ActionChangeWhen onMouse2Up

    - #### onMouse1Double

          public static final GralWidget_ifc.ActionChangeWhen onMouse1Double

    - #### onMouseWheel

          public static final GralWidget_ifc.ActionChangeWhen onMouseWheel

    - #### onDrop

          public static final GralWidget_ifc.ActionChangeWhen onDrop

    - #### onDrag

          public static final GralWidget_ifc.ActionChangeWhen onDrag

  - ### Method Detail

    - #### values

          public static GralWidget_ifc.ActionChangeWhen[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GralWidget_ifc.ActionChangeWhen c : GralWidget_ifc.ActionChangeWhen.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GralWidget_ifc.ActionChangeWhen valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null